jQuery(document).ready(function(){

      

	/*if ($(window).width() >= 1025) {

		 $(window).scroll(function() {

			if ($(this).scrollTop() > 1){  

				$('.menu-main').addClass("sticky");

			  }

			  else{

				$('.menu-main').removeClass("sticky");

			  }

	   	});

	  }

	 else {

		$('.menu-main').removeClass("sticky");

	 }*/

	 

	  

	 // ---back top js----- //

	 jQuery('body').append('<div id="toTop" class="btn top-btn"><i class="fa fa-angle-up"></i><div clas="top-text">top</div></div>');

    	jQuery(window).scroll(function () {

			if (jQuery(this).scrollTop() != 0) {

				jQuery('#toTop').fadeIn();

			} else {

				jQuery('#toTop').fadeOut();

			}

		}); 

    jQuery('#toTop').click(function(){

        jQuery("html, body").animate({ scrollTop: 0 }, 600);

        return false;

    });

	// ---End back top js----- //
    
	
	// ---- Side Form --- //
	$(".sticky_button").click(function() {
        $(".sticky_form").toggleClass("in");
		$(".sticky_button").toggleClass("in");
		$("body").toggleClass("overly-get-quote");
    });
	$(window).on('click touchend',function (e) {
		if (!$(e.target).hasClass("sticky_button") && !$(e.target).hasClass("input") && !$(e.target).hasClass("form_row") && $(e.target).parents(".sticky_form").length === 0		    )
		{
			$(".sticky_form").removeClass('in');
			$(".sticky_button").removeClass("in");
			$("body").removeClass("overly-get-quote");
		}
	});
	$('.close-form').on('click', function(e) {
		if($(e.target).closest().length == 0) {
		   $(".sticky_form").removeClass('in');
			$(".sticky_button").removeClass("in");
			$("body").removeClass("overly-get-quote");
		}
	});
	// ---- End Side Form --- //
	

	

	(function(){



	  var parallax = document.querySelectorAll(".parallax"),

		  speed = 0.7;

	

	  window.onscroll = function(){

		[].slice.call(parallax).forEach(function(el,i){

	

		  var windowYOffset = window.pageYOffset,

			  elBackgrounPos = "center " + (windowYOffset * speed) + "px";

		  

		  el.style.backgroundPosition = elBackgrounPos;

	

		});

	  };

	})();

	

});